#!/bin/bash
set -x

SCRATCH_DIR="/home/fascam/.config/Fastec/scratch"

/usr/bin/logger "Update ArchLinux key-ring"
pacman -Sy --noconfirm --needed archlinux-keyring

/usr/bin/logger "Make sure we have our fonts"
pacman -S --noconfirm --needed adobe-source-han-sans-cn-fonts adobe-source-han-sans-tw-fonts adobe-source-han-sans-kr-fonts adobe-source-han-sans-jp-fonts
pacman -S --noconfirm --needed adobe-source-han-serif-cn-fonts adobe-source-han-serif-tw-fonts adobe-source-han-serif-kr-fonts adobe-source-han-serif-jp-fonts

# Cleanup after ourselves.
/usr/bin/rm -f /tmp/pp_u*
/usr/bin/rm -rf $SCRATCH_DIR/fi_update

